Bug 73056 - Cannot select RTL text inside LTR text from right to left by a mouse drag
Summary: Cannot select RTL text inside LTR text from right to left by a mouse drag
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryosuke Niwa
URL:
Keywords:
Depends on:
Blocks: 59435
  Show dependency treegraph
 
Reported: 2011-11-23 16:03 PST by Ryosuke Niwa
Modified: 2011-11-30 15:27 PST (History)
4 users (show)

See Also:


Attachments
fixes the bug (5.44 KB, patch)
2011-11-23 16:29 PST, Ryosuke Niwa
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2011-11-23 16:03:25 PST
If we have:
aאבגb
and select "אבג" from the right to the left by a mouse drag, then "בג" will be selected first instead of "א".
Comment 1 Ryosuke Niwa 2011-11-23 16:29:26 PST
Created attachment 116450 [details]
fixes the bug
Comment 2 Ryosuke Niwa 2011-11-28 14:05:07 PST
Ping reviewers. This is a no-brainer fix (of my bug :( ).
Comment 3 Eric Seidel (no email) 2011-11-28 18:54:06 PST
Comment on attachment 116450 [details]
fixes the bug

LGTM.  You might want mitz or justin's stamp, but this looks right.
Comment 4 Ryosuke Niwa 2011-11-30 15:27:11 PST
Comment on attachment 116450 [details]
fixes the bug

Clearing flags on attachment: 116450

Committed r101561: <http://trac.webkit.org/changeset/101561>
Comment 5 Ryosuke Niwa 2011-11-30 15:27:16 PST
All reviewed patches have been landed.  Closing bug.